<div class="clr-row">
    <div class="clr-col-lg-12 clr-col-md-12 clr-col-12">
        <div class="card">
            <h3 class="card-header" style="background:#CFF5E7;color: #0E5E6F;">เลือกรายการวันที่</h3>
            <div class="card-block">
                <div class="card-text">
                    <form class="clr-form">
                        <div class="clr-row  clr-align-items-center">
                            <div class="clr-col-lg-2 clr-col-md-3 clr-col-4">
                                <clr-input-container>
                                    <label>วันที่เริ่มต้น</label>
                                    <input clrInput type="date" name="dataStart" [(ngModel)]="dataStart" />
                                </clr-input-container>
                            </div>
                            <div class="clr-col-lg-2 clr-col-md-3 clr-col-4">
                                <clr-input-container>
                                    <label>วันที่สิ้นสุด</label>
                                    <input clrInput type="date" name="dateEnd" [(ngModel)]="dateEnd" />
                                </clr-input-container>
                            </div>
                            <div class="clr-col-4">
                                <button class="btn"
                                    style="margin:5px;width: 120px;border-radius: 24px;background: #59C1BD;color:white;border:0;box-shadow: 2px 2px 4px #888888;"
                                    onmouseover="this.style.background='#0E5E6F'"
                                    onmouseout="this.style.background='#59C1BD'" (click)="getSearcha()">Search</button>
                                <button class="btn"
                                    style="margin:5px;width: 120px;border-radius: 24px;background: #FF9F9F;color:white;border:0;box-shadow: 2px 2px 4px #888888;"
                                    onmouseover="this.style.background='#E97777'"
                                    onmouseout="this.style.background='#FF9F9F'" (click)="getCancel()">Reset</button>
                            </div>

                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- </div>
</div>
<div class="clr-row">
    <div class="clr-col-lg-12 clr-col-md-8 clr-col-12"> -->
        <h3 style="margin-left: 20px;">รายการ PREGNANCY TEST</h3>
        <table class="table">
            <thead>
                <tr>
                    <th>VN</th>
                    <th>HN</th>
                    <th>ชื่อ-สกุล</th>
                    <th>อายุ</th>
                    <th>วันที่มารับบริการ</th>
                    <th>รายการตรวจ</th>
                    <th>ผลตรวจ</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let i of viewItem">
                    <td>{{i.seq}}</td>
                    <td>{{i.hn}}</td>
                    <td>{{i.title}}{{i.fname}} {{i.lname}}</td>
                    <td>{{i.age}} ปี</td>
                    <td>{{i.visit_date_time | date:'YYYY-MM-dd'}}</td>
                    <td>{{i.lab_name}}</td>
                    <td>{{i.labresult}}</td>

                    <td *ngIf="loading && !i.code_status"><span class="spinner spinner-sm"
                            *ngIf="loading">Loading...</span></td>
                </tr>
            </tbody>
        </table>
        <span class="spinner spinner-inverse" *ngIf="loadingTable">
            Loading...
        </span>
    </div>
</div>